summaryrefslogtreecommitdiffstats
path: root/games/crack-attack/crack-attack.SlackBuild
diff options
context:
space:
mode:
author Frank Caraballo2010-05-11 19:44:27 +0200
committer Michiel van Wessem2010-05-11 19:44:27 +0200
commit88bf868662200896e9fd2217fbd6360818d52b67 (patch)
treebc666c3e8e3b9618fa105dba80c6507e1fc1a5e3 /games/crack-attack/crack-attack.SlackBuild
parent671a57a8947b403c8e044f33c24630546c545ee4 (diff)
downloadslackbuilds-88bf868662200896e9fd2217fbd6360818d52b67.tar.gz
games/crack-attack: Updated for version 1.1.14
Diffstat (limited to 'games/crack-attack/crack-attack.SlackBuild')
-rw-r--r--games/crack-attack/crack-attack.SlackBuild18
1 files changed, 6 insertions, 12 deletions
diff --git a/games/crack-attack/crack-attack.SlackBuild b/games/crack-attack/crack-attack.SlackBuild
index 620398cb5b..ad11028d79 100644
--- a/games/crack-attack/crack-attack.SlackBuild
+++ b/games/crack-attack/crack-attack.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Crack Attack!
-# Copyright 2007 MagicMan <MagicMan07@bluebottle.com>
+# Copyright 2007 Frank Caraballo <fecaraballo[AT]gmail.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,15 +22,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-if [ "$(id -u)" != "0" ]; then
- echo "This script must be run as root!"
- exit 1
-fi
-
PRGNAM=crack-attack
VERSION=1.1.14
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
@@ -51,13 +46,12 @@ cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
tar -xvf $CWD/$PRGNAM-$VERSION.tar.* || exit 1
cd $PRGNAM-$VERSION || exit 1
-
-# Apply crack-attack.desktop.diff patch:
-cat $CWD/$PRGNAM.desktop.diff | patch -p0 --verbose || exit 1
-
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
+# Apply crack-attack.desktop.diff patch:
+patch -p0 < $CWD/$PRGNAM.desktop.diff || exit 1
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -71,7 +65,7 @@ make install-strip DESTDIR=$PKG || exit 1
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION